Subject: Re: Adding Support for SG,GSO,GRO

From: Ben Hutchings <[email-masked]>
Date: Fri, 10 Dec 2010 16:20:28 +0000

On Fri, 2010-12-10 at 17:01 +0100, Michał Mirosław wrote:
[...]
> The question is do we really want good checksum for bogus data?
[...]

It's not bogus data.  It's a snapshot of the file contents at some
arbitrary point in time.

Now please stop wasting your own time and that of the networking
maintainers, and remember to check for checksum offload next time you
need to select a network controller.

Ben.

-- 
Ben Hutchings, Senior Software Engineer, Solarflare Communications
Not speaking for my employer; that's the marketing department's job.
They asked us to note that Solarflare product names are trademarked.